Skip to main content
POST
/
api
/
v1
/
saved
/
{chartUuid}
/
version
/
{versionUuid}
/
results
Error
A valid request URL is required to generate request examples
{
  "results": {
    "rows": [
      "<unknown>"
    ],
    "cacheMetadata": {
      "cacheHit": true,
      "preAggregate": {
        "hit": true,
        "reason": {
          "reason": "no_pre_aggregates_defined"
        },
        "name": "<string>"
      },
      "cacheKey": "<string>",
      "cacheExpiresAt": "2023-11-07T05:31:56Z",
      "cacheUpdatedTime": "2023-11-07T05:31:56Z"
    },
    "metricQuery": {
      "tableCalculations": [
        {
          "displayName": "<string>",
          "name": "<string>",
          "sql": "<string>",
          "type": "number",
          "format": {
            "type": "default",
            "round": 123,
            "separator": "default",
            "currency": "<string>",
            "compact": "thousands",
            "prefix": "<string>",
            "suffix": "<string>",
            "timeInterval": "RAW",
            "custom": "<string>"
          },
          "index": 123
        }
      ],
      "limit": 123,
      "sorts": [
        {
          "descending": true,
          "fieldId": "<string>",
          "nullsFirst": true
        }
      ],
      "filters": {
        "tableCalculations": {
          "or": [
            "<unknown>"
          ],
          "id": "<string>"
        },
        "metrics": {
          "or": [
            "<unknown>"
          ],
          "id": "<string>"
        },
        "dimensions": {
          "or": [
            "<unknown>"
          ],
          "id": "<string>"
        }
      },
      "metrics": [
        "<string>"
      ],
      "dimensions": [
        "<string>"
      ],
      "exploreName": "<string>",
      "metadata": {
        "hasADateDimension": {
          "name": "<string>",
          "label": "<string>",
          "table": "<string>"
        }
      },
      "customDimensions": [
        {
          "id": "<string>",
          "name": "<string>",
          "table": "<string>",
          "type": "bin",
          "dimensionId": "<string>",
          "binType": "fixed_number",
          "binNumber": 123,
          "binWidth": 123,
          "customRange": [
            {
              "to": 123,
              "from": 123
            }
          ]
        }
      ],
      "additionalMetrics": [
        {
          "type": "percentile",
          "sql": "<string>",
          "table": "<string>",
          "name": "<string>",
          "label": "<string>",
          "description": "<string>",
          "hidden": true,
          "round": 123,
          "compact": "thousands",
          "format": "km",
          "index": 123,
          "filters": [
            {
              "operator": "isNull",
              "id": "<string>",
              "target": {
                "fieldRef": "<string>"
              },
              "values": [
                "<unknown>"
              ],
              "settings": "<unknown>",
              "disabled": true,
              "required": true
            }
          ],
          "baseDimensionName": "<string>",
          "uuid": "<string>",
          "percentile": 123,
          "distinctKeys": [
            "<string>"
          ],
          "formatOptions": {
            "type": "default",
            "round": 123,
            "separator": "default",
            "currency": "<string>",
            "compact": "thousands",
            "prefix": "<string>",
            "suffix": "<string>",
            "timeInterval": "RAW",
            "custom": "<string>"
          },
          "generationType": "periodOverPeriod",
          "baseMetricId": "<string>",
          "timeDimensionId": "<string>",
          "granularity": "RAW",
          "periodOffset": 123
        }
      ]
    },
    "fields": {}
  },
  "status": "ok"
}

Documentation Index

Fetch the complete documentation index at: https://lightdash-work-with-ai-section-1771841038.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

chartUuid
string
required

chartUuid for the chart to run

versionUuid
string
required

versionUuid for the chart version

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok